curl --request POST \
--url https://api.venice.ai/api/v1/audio/transcriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form model=openai/whisper-large-v3 \
--form response_format=json \
--form timestamps=falseimport requests
url = "https://api.venice.ai/api/v1/audio/transcriptions"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"model": "openai/whisper-large-v3",
"response_format": "json",
"timestamps": "false"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '[audio file]');
form.append('model', 'openai/whisper-large-v3');
form.append('response_format', 'json');
form.append('timestamps', 'false');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.venice.ai/api/v1/audio/transcriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"text": "<string>",
"duration": 123,
"timestamps": {
"word": [
{
"word": "<string>",
"start": 123,
"end": 123
}
],
"segment": [
{
"text": "<string>",
"start": 123,
"end": 123
}
],
"char": [
{
"char": "<string>",
"start": 123,
"end": 123
}
]
}
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"code": "PAYLOAD_TOO_LARGE",
"error": "File exceeds the maximum allowed size of 25 MB."
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}전사 API (Beta)
Transcribes audio into the input language.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions.
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
Request to transcribe audio to text.
The audio file object (not a base64 string). Supported formats: WAV, WAVE, FLAC, M4A, AAC, MP4, MP3, OGG, OGA, WEBM.
The model to use for transcription. See https://docs.venice.ai/models/overview for more information.
nvidia/parakeet-tdt-0.6b-v3, openai/whisper-large-v3, fal-ai/wizper, elevenlabs/scribe-v2, stt-xai-v1 "openai/whisper-large-v3"
The format of the transcript output, in one of these options: json, text.
json, text "json"
Whether to include timestamps in the response.
false
ISO 639-1 language code (e.g., "en", "es", "fr"). Optional - if not provided, the model will auto-detect the language. Note: Only supported by certain models (e.g., Whisper). Ignored by models that do not support language hints.
"en"